Bug Hunting Session
Bug 107763 - Zooming in with Ctrl should intelligently keep selection in view or Ctrl+Shift should focus zoom on selection
Summary: Zooming in with Ctrl should intelligently keep selection in view or Ctrl+Shif...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Zoom-Issues
  Show dependency treegraph
 
Reported: 2017-05-11 08:03 UTC by Kevin
Modified: 2018-11-30 10:56 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin 2017-05-11 08:03:08 UTC
Description:
Zooming behavior is inferior to Excel and user expectations.

Steps to Reproduce:
1. In Excel, select a cell in the upper right corner of the visible area
2. Hold down Control and roll the mouse forward (or zoom by other means)

result: Excel zooms such that the selection is still visible and centered

3. Repeat in Calc 5.3.2.2 or earlier

problem: almost immediately the desired selection is no longer visible, necessitating scrolling.

Actual Results:  
problem: almost immediately the desired selection is no longer visible, necessitating scrolling.

Expected Results:
Calc should be smarter and less buggy than Microsoft Excel. At the very least it should not be worse.


Reproducible: Always

User Profile Reset: No

Additional Info:
I realize that this is not technically a bug, but Calc should be spec'd such that it can do anything Excel can do so I consider it a bug. What's the point of reinventing the wheel if you're not going to at least equal the model?

I dearly wish you guys would watch a graphics person work at trying to make a large, professional looking spreadsheet with lots of font changes, borders and backgrounds. You'd then see how painful the formatting is in Calc. It's not as bad as Excel - that's why I switched - but Calc is still painfully user-unfriendly when it comes to manipulating the appearance of the spreadsheet.


User-Agent: Mozilla/5.0 (Windows NT 6.1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/58.0.3029.96 Safari/537.36
Comment 1 Jacques Guilleron 2017-05-11 15:25:27 UTC
Hi Kevin,

Shift can also be used with the mouse to center a cell on the screen, even if this doesn't produce the same result than Excel.

Jacques
Comment 2 Kevin 2017-05-11 18:01:27 UTC
> Shift can also be used with the mouse to center a cell on the screen, even
> if this doesn't produce the same result than Excel.

Could you provide steps? Here are mine:

1. select a cell in the upper right corner of the visible area
2. hold down shift and roll the mouse forward

result: the zoom percentage remains the same but now the horizontal, rather the the vertical, scrollbar is affected by the mouse wheel

3. hold down shift+control and roll the mouse forward

result: same as with just control: the left-most column stays visible and the selected cell goes off-screen

To pose the problem from the user's perspective:

1. you have a massive spreadsheet with many rows and columns
2. you zoom out to see a large area and see a cell whose formatting needs to be changed
3. you click on that cell and zoom in see it clearly and repair the problem, but it disappears and you then have to use the scrollbars to find it again

This problem is a relative of another problem (already reported by others): when zooming in and out, the spacing of fonts changes drastically (with non-monospaced fonts) - so even after you've tediously zoomed in and fixed the problem, your fix turns out not to be a good fix when you zoom back to 100%. Many users do not use the calculation features of spreadsheet apps, but use them to create carefully formatted documents more easily that they could with tables in Writer or Word. This type of functionality is where both Excel and Calc are so poor, albeit in very different ways.
Comment 3 Kevin 2017-05-11 18:04:59 UTC
Note: I went to the Help pages and searched for "shift" and "center" and didn't find the feature you mention. In general, I find the online help to be - after formatting - the second weakest part of Calc. Last week, I reported an issue with not being able to drag a cell without finding the exact pixel but you pointed out that I could do this by selecting, THEN shift-selecting. I'm still getting the hang of it, but the feature is indeed there. However, it's not like Excel, and without access to this database and your help, I never would have intuited it on my own.
Comment 4 Jacques Guilleron 2017-05-13 06:54:38 UTC
Hi Kevin,

Sorry for the delay.
I didn't find any mention for that in Help pages (bad research?), but 
Shift key associated to mouse wheel is used for horizontal scrolling into Calc.
With a screen showing columns A:J and a part of K, zoom at 100%, when I select J1, hold down Shift, after two notches of the mouse wheel backward, column J is on the left of the screen. 
J1 can be zoomed up to 400% by using Ctrl instead of shift and mouse wheel, and remains visible. This seems to me fast enough if I take care to move the cell leftward before zooming.

Jacques
Comment 5 Kevin 2017-05-15 00:42:44 UTC
Now I see what you mean - it's a two-step process - first shift-scroll until the desired cell is the left most, then zoom works like Excel. That helps. I still think the Excel way (zooming to the selection instead of holding the left column in place) is inherently better (and of course more intuitive because so many of us started on Excel)
Comment 6 Timur 2017-07-26 10:21:11 UTC
Kevin, thank you for this enhancement. When writing reports, focus on what should be achieved and possibly how. No need to even mention Excel if you can describe it rightly. 
Since LO has Shift and Control working fine, I'd suggest to solve this by adding Shift+Control zoom (which is now as noted the same as Control) which should focus on selection, not center as Control zoom.
I'll rename title to positive expression "should...." and add that proposed solution. If not feasible, remains "intelligent" approach with Control, as in Excel.

AS for Help, https://help.libreoffice.org/Calc/Zoom_In and https://help.libreoffice.org/Calc/Zoom_Out could be unified but with those helpful keyboard tricks.
Comment 7 Timur 2017-07-26 14:47:59 UTC
This bug will actually be rendered obsolete should Bug 89547 be fixed. But we may keep it open until then. Many zoom and scroll bugs, mostly duplicates.
Comment 8 Heiko Tietze 2018-11-30 10:56:45 UTC
Bug 89547 is fixed and I wonder what to do with this issue. 

I agree that keeping the position of the focused cell is worth some extra lines of code, whether with or without shift accelerator. The prototype (or an alternative) could be Draw where zooming per ctrl+wheel focuses on the mouse cursor.   

So yes to the proposal from UX, and I don't see it solved in 6.1.